Package org.apache.ignite.spi.systemview.view.datastructures

## Class CountDownLatchView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.datastructures.CountDownLatchView

-     public class CountDownLatchView
      extends Object

  `IgniteCountDownLatch` representation for a `SystemView`.
  See Also:
    `Ignite.countDownLatch(String, int, boolean, boolean)`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected T` | `ds` | Data structure instance.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CountDownLatchView​(org.apache.ignite.internal.processors.datastructures.GridCacheRemovable ds)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `autoDelete()` |
    `int` | `count()` |
    `int` | `groupId()` |
    `String` | `groupName()` |
    `int` | `initialCount()` |
    `String` | `name()` |
    `boolean` | `removed()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ds

          protected final T extends org.apache.ignite.internal.processors.datastructures.AtomicDataStructureProxy ds

      Data structure instance.

  - ### Constructor Detail

    - #### CountDownLatchView

          public CountDownLatchView​(org.apache.ignite.internal.processors.datastructures.GridCacheRemovable ds)

      Parameters:
        `ds` - Data structure instance.

  - ### Method Detail

    - #### count

          public int count()

      Returns:
        Count.
      See Also:
        `IgniteCountDownLatch.count()`

    - #### initialCount

          public int initialCount()

      Returns:
        Initial count.
      See Also:
        `IgniteCountDownLatch.initialCount()`

    - #### autoDelete

          public boolean autoDelete()

      Returns:
        `True` if latch is auto removed after counter down to 0.
      See Also:
        `IgniteCountDownLatch.autoDelete()`

    - #### name

          public String name()

      Returns:
        Name.

    - #### groupName

          public String groupName()

      Returns:
        Group name.

    - #### groupId

          public int groupId()

      Returns:
        Group id.

    - #### removed

          public boolean removed()

      Returns:
        `True` is data structure removed.